org.apache.hadoop.mapreduce.v2.app.webapp

## Interface AMParams

- All Known Implementing Classes:
    AMWebApp, AppController

      public interface AMParams

  Params constants for the AM webapp and the history webapp.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APP_ID`
    `static String` | `ATTEMPT_STATE`
    `static String` | `COUNTER_GROUP`
    `static String` | `COUNTER_NAME`
    `static String` | `JOB_ID`
    `static String` | `RM_WEB`
    `static String` | `TASK_ID`
    `static String` | `TASK_STATE`
    `static String` | `TASK_TYPE`

- - ### Field Detail

    - #### RM_WEB

          static final String RM_WEB

      See Also:
        Constant Field Values

    - #### APP_ID

          static final String APP_ID

      See Also:
        Constant Field Values

    - #### JOB_ID

          static final String JOB_ID

      See Also:
        Constant Field Values

    - #### TASK_ID

          static final String TASK_ID

      See Also:
        Constant Field Values

    - #### TASK_TYPE

          static final String TASK_TYPE

      See Also:
        Constant Field Values

    - #### TASK_STATE

          static final String TASK_STATE

      See Also:
        Constant Field Values

    - #### ATTEMPT_STATE

          static final String ATTEMPT_STATE

      See Also:
        Constant Field Values

    - #### COUNTER_GROUP

          static final String COUNTER_GROUP

      See Also:
        Constant Field Values

    - #### COUNTER_NAME

          static final String COUNTER_NAME

      See Also:
        Constant Field Values

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.